package com.realnet.angulardata.Services;
import com.realnet.angulardata.Repository.BasicpRepository;
import com.realnet.angulardata.Entity.Basicp
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class BasicpService {
@Autowired
private BasicpRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Basicp Savedata(Basicp data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Basicp save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Basicp> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Basicp> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Basicp> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Basicp getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Basicp update(Basicp data,Integer id) {
	Basicp old = Repository.findById(id).get();
old.setName(data.getName());

old.setDescription(data.getDescription());

final Basicp test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
